/*
	Copyright 01/10/95 Sun Microsystems, Inc. All Rights Reserved

	@(#)demangle.h	1.2  01/10/95 12:48:09
*/

#ifndef _DEMANGLE_H
#define _DEMANGLE_H

#ifdef __cplusplus
extern "C" {
#endif

/* NOTE: the function demangle() is obsolete; use cplus_demangle() */

#ifdef __STDC__
/* return 0 if valid mangled name, -1 if not a valid mangled name */
int demangle(char *in, char *out);

/* return 0 if valid mangled name, DEMANGLE_ESPACE or DEMANGLE_ENAME 
   otherwise 
*/
int cplus_demangle(char *in, char *out, int outsize);

#else
int demangle();
int cplus_demangle();
#endif

#define DEMANGLE_ESPACE  -1  /* outsize is too small */
#define DEMANGLE_ENAME   1   /* name is not mangled properly */

#ifdef __cplusplus
}
#endif

#endif  /* _DEMANGLE_H */

